Loading...
Searching...
No Matches
EDID parsing functionality

## Enumerations

enum | Libedid_consts { Libedid_block_size = 128 }
| EDID constants. More...

## Functions

int | libedid_check_header (const unsigned char *edid)
| Check for valid EDID header.
int | libedid_checksum (const unsigned char *edid)
| Calculates the EDID checksum.
unsigned | libedid_version (const unsigned char *edid)
| Returns the EDID version number.
unsigned | libedid_revision (const unsigned char *edid)
| Returns the EDID revision number.
void | libedid_pnp_id (const unsigned char *edid, unsigned char *id)
| Extracts the display's PnP ID.
void | libedid_prefered_resolution (const unsigned char *edid, unsigned *w, unsigned *h)
| Extract the display's prefered mode.
unsigned | libedid_num_ext_blocks (const unsigned char *edid)
| Get the number of EDID extension blocks.
unsigned | libedid_dump_standard_timings (const unsigned char *edid)
| Dump the standard timings to stdout.
void | libedid_dump (const unsigned char *edid)
| Dump raw EDID data to stdout.

## Detailed Description

## Enumeration Type Documentation

## Libedid_consts

enum Libedid_consts

EDID constants.

Enumerator
Libedid_block_size | Size of one EDID block in bytes.

Definition at line 23 of file edid.h.

## Function Documentation

## libedid_check_header()

int libedid_check_header | ( | const unsigned char * | edid | ) |

Check for valid EDID header.

Parameters

  edid | Pointer to a 128byte EDID block

Returns
  0 if the header is correct, -EINVAL otherwise

## libedid_checksum()

int libedid_checksum | ( | const unsigned char * | edid | ) |

Calculates the EDID checksum.

Parameters

  edid | Pointer to a 128byte EDID block

Returns
  0 if checksum is correct, -EINVAL otherwise

## libedid_dump()

void libedid_dump | ( | const unsigned char * | edid | ) |

Dump raw EDID data to stdout.

Parameters

  edid | Pointer to a 128byte EDID block

## libedid_dump_standard_timings()

unsigned libedid_dump_standard_timings | ( | const unsigned char * | edid | ) |

Dump the standard timings to stdout.

Parameters

  edid | Pointer to a 128byte EDID block

Returns
  Number of standard timings stored in EDID

## libedid_num_ext_blocks()

unsigned libedid_num_ext_blocks | ( | const unsigned char * | edid | ) |

Get the number of EDID extension blocks.

Parameters

  edid | Pointer to a 128byte EDID block

Returns
  Number of EDID extension blocks

## libedid_pnp_id()

void libedid_pnp_id | ( | const unsigned char * | edid,
|  | unsigned char * | id )

Extracts the display's PnP ID.

Parameters

  | edid | Pointer to a 128byte EDID block
  [out] | id | Return the PnP id. Must point to 4 bytes.

## libedid_prefered_resolution()

void libedid_prefered_resolution | ( | const unsigned char * | edid,
|  | unsigned * | w,
|  | unsigned * | h )

Extract the display's prefered mode.

Parameters

  | edid | Pointer to a 128byte EDID block
  [out] | w | X resolution of prefered video mode in pixels.
  [out] | h | Y resolution of prefered video mode in pixels.

## libedid_revision()

unsigned libedid_revision | ( | const unsigned char * | edid | ) |

Returns the EDID revision number.

Parameters

  edid | Pointer to a 128 EDID block

Returns
  Revision number

## libedid_version()

unsigned libedid_version | ( | const unsigned char * | edid | ) |

Returns the EDID version number.

Parameters

  edid | Pointer to a 128byte EDID block

Returns
  Version number